SDIFF(1)

NUME
sdiff - fuzionează bucată cu bucată diferențele dintre fișiere

SINOPSIS
sdiff [OPȚIUNE]... FIȘIER1 FIȘIER2

DESCRIERE
Fuzionarea bucată cu bucată a diferențelor dintre FILE1 și FILE2.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

-o, --output=FIȘIER
    operează interactiv, trimițănd rezultatul către fișierul FIŞIER

-i, --ignore-case
    consideră majusculele și minusculele ca fiind același lucru

-E, --ignore-tab-expansion
    ignoră modificările din cauza expandării tabulatorului

-Z, --ignore-trailing-space
    ignoră spațiul în alb la sfârșit de linie

-b, --ignore-space-change
    ignoră schimbările din cantitatea de spațiu în alb

-W, --ignore-all-space
    ignoră toate spațiile în alb

-B, --ignore-blank-lines
    ignoră schimbările în care toate liniile sunt goale

-I, --ignore-matching-lines=ExpReg
    ignoră modificările din toate liniile care se potrivesc cu ExpReg

--strip-trailing-cr
    elimină returul de caret din intrarea dată

-a, --text
    tratează toate fișierele ca fiind de text

-w, --width=NUM
    afișează cel mult NUM (implicit 130) coloane imprimate

-l, --left-column
    afișează doar coloana din stânga a liniilor comune

-s, --suppress-common-lines
    nu afișează liniile comune

-t, --expand-tabs
    expandează tabulatorii la spatii la ieșire

--tabsize=NUMĂR
    tabulatorul se oprește la fiecare NUM (implicit 8) coloane imprimate

-d, --minimal
    se străduiește să găsească un grup mai mic de schimbări

-H, --speed-large-files
    presupune că fișierele sunt mari și că modificările sunt multe, mici și împrăștiate

--diff-program=PROGRAM
    folosește PROGRAM pentru a compara fişierele

--help
    afișează acest mesaj de ajutor și iese

-v, --version
    afișează informațiile despre versiune și iese

Dacă un FIȘIER este „-”, se citește intrarea standard. Starea de ieșire este 0 dacă are succes, 1 dacă există conflicte și 2 dacă sunt probleme.

AUTOR
Scris de Thomas Lord.

RAPORTAREA ERORILOR
Raportați erorile la: bug-diffutils@gnu.org
Pagina principală a GNU diffutils: https://www.gnu.org/software/diffutils/
Ajutor general pentru utilizarea software-ului GNU: https://www.gnu.org/gethelp/

DREPTURI DE AUTOR
Drepturi de autor © 2025 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
cmp(1), diff(1), diff3(1)

Documentația completă pentru sdiff este menținută ca un manual Texinfo. Dacă programele info(1) și sdiff sunt instalate corect pe sistemul dumneavoastră, comanda

    info sdiff

ar trebui să vă permită accesul la manualul complet.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Eugen Hoanca <eugenh@urban-grafx.ro>, Laurențiu Buzdugan <lbuz@rolix.org> și Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.